{% extends "frontBase.html.twig" %}

{% block title %}
    Se connecter
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Se connecter</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <div class="row">
                <div class="col-md-6 offset-md-3">
                    <div class="card">
                        <div class="card-header">
                            <h2 style="margin: 10px;" class="text-center">Authentification</h2>
                        </div>
                        <div class="card-body">
                            <form method="post">
                                {% if errors %}
                                    <div class="alert alert-danger">{{ errors.messageKey|trans(errors.messageData, 'security') }}</div>
                                {% endif %}

                                <div class="form-group">
                                    <label for="email">Adresse e-mail</label>
                                    <input type="email" value="{{ last_username }}" placeholder="Email" name="email" id="email" class="form-control" required autofocus>
                                </div>
                                <div class="form-group">
                                    <label for="password">Mot de passe</label>
                                    <input type="password" name="password" placeholder="Mot de passe" id="password" class="form-control" required>
                                </div>
                                <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <div class="custom-control custom-checkbox">
                                                    <input class="custom-control-input" type="checkbox" id="remember_me" name="_remember_me">
                                                    <label class="custom-control-label" for="remember_me">Rester connecté</label>
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-primary btn-sm">Se connecter</button>
                                        </div>
                                        <div class="col-md-6 text-md-right">
                                            <a href="#">Mot de passe oublié ?</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <a href="#" class="btn-social btn-facebook-connect"><i class="jam jam-facebook"></i> Se connecter avec Facebook</a>
                                    <a href="#" class="btn-social btn-google-connect"><i class="jam jam-google"></i> Se connecter avec Google</a>
                                    <a href="#" class="btn-social btn-linkedin-connect"><i class="jam jam-linkedin"></i> Se connecter avec LinkedIn</a>
                                </div>
                                <p class="text-center pt-4" style="border-top: 1px solid #ddd;">
                                    Pas de compte ? <a href="{{ path('front_register') }}">Créer le votre ici !</a>
                                </p>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}